function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { injectEntityContext } from '../model/Entity';
import Spinner from 'react-spinkit';

var SavingSpinnerBase = function (_Component) {
    _inherits(SavingSpinnerBase, _Component);

    function SavingSpinnerBase() {
        _classCallCheck(this, SavingSpinnerBase);

        return _possibleConstructorReturn(this, _Component.apply(this, arguments));
    }

    SavingSpinnerBase.prototype.render = function render() {
        var ec = this.props.entityContext;
        return ec.isSaving ? React.createElement(Spinner, {
            name: this.props.name,
            color: this.props.color,
            fadeIn: this.props.fadeIn
        }) : null;
    };

    return SavingSpinnerBase;
}(Component);

var SavingSpinner = injectEntityContext(SavingSpinnerBase);

SavingSpinner.propTypes = {
    children: PropTypes.node
};

export default SavingSpinner;