'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require('reactstrap');

var RS = _interopRequireWildcard(_reactstrap);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Entity = require('../model/Entity');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ResetButtonBase = function (_Component) {
    _inherits(ResetButtonBase, _Component);

    function ResetButtonBase() {
        _classCallCheck(this, ResetButtonBase);

        return _possibleConstructorReturn(this, _Component.apply(this, arguments));
    }

    ResetButtonBase.prototype.render = function render() {
        var ec = this.props.entityContext;
        return _react2.default.createElement(
            RS.Button,
            {
                disabled: !ec.editedValue || ec.isLoading, onClick: ec.reset,
                color: 'primary'
            },
            this.props.children
        );
    };

    return ResetButtonBase;
}(_react.Component);

var ResetButton = (0, _Entity.injectEntityContext)(ResetButtonBase);

ResetButton.propTypes = {
    children: _propTypes2.default.node
};

exports.default = ResetButton;
module.exports = exports['default'];