'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Entity = require('../model/Entity');

var _reactSpinkit = require('react-spinkit');

var _reactSpinkit2 = _interopRequireDefault(_reactSpinkit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SavingSpinnerBase = function (_Component) {
    _inherits(SavingSpinnerBase, _Component);

    function SavingSpinnerBase() {
        _classCallCheck(this, SavingSpinnerBase);

        return _possibleConstructorReturn(this, _Component.apply(this, arguments));
    }

    SavingSpinnerBase.prototype.render = function render() {
        var ec = this.props.entityContext;
        return ec.isSaving ? _react2.default.createElement(_reactSpinkit2.default, {
            name: this.props.name,
            color: this.props.color,
            fadeIn: this.props.fadeIn
        }) : null;
    };

    return SavingSpinnerBase;
}(_react.Component);

var SavingSpinner = (0, _Entity.injectEntityContext)(SavingSpinnerBase);

SavingSpinner.propTypes = {
    children: _propTypes2.default.node
};

exports.default = SavingSpinner;
module.exports = exports['default'];