function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import * as RS from 'reactstrap';
import PropTypes from 'prop-types';
import { injectEntityContext } from '../model/Entity';

var ResetButtonBase = function (_Component) {
    _inherits(ResetButtonBase, _Component);

    function ResetButtonBase() {
        _classCallCheck(this, ResetButtonBase);

        return _possibleConstructorReturn(this, _Component.apply(this, arguments));
    }

    ResetButtonBase.prototype.render = function render() {
        var ec = this.props.entityContext;
        return React.createElement(
            RS.Button,
            {
                disabled: !ec.editedValue || ec.isLoading, onClick: ec.reset,
                color: 'primary'
            },
            this.props.children
        );
    };

    return ResetButtonBase;
}(Component);

var ResetButton = injectEntityContext(ResetButtonBase);

ResetButton.propTypes = {
    children: PropTypes.node
};

export default ResetButton;